Name:		vis
Version:	0.9
Release:	%mkrel 1
Group:		Editors
Summary:	A vi-like editor based on Plan 9's structural regular expressions

License:	BSD
URL:		https://github.com/martanne/vis
Source0:	https://github.com/martanne/vis/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:	gcc
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(libacl)
BuildRequires:	pkgconfig(lua)
BuildRequires:	pkgconfig(termkey)
BuildRequires:	pkgconfig(tre)
Requires:	lua-lpeg

%description
Vis aims to be a modern, legacy free, simple yet efficient editor combining
the strengths of both vi(m) and sam.

It extends vi's modal editing with built-in support for multiple
cursors/selections and combines it with sam's structural regular expression
based command language.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install STRIP=/bin/true

rm -rf %{buildroot}%{_docdir}/vis/LICENSE

%files
%doc README.md
%license LICENSE
%{_bindir}/vis*
%{_datadir}/vis/
%{_mandir}/man1/*


%changelog
* Fri Nov 29 2024 daviddavid <daviddavid> 0.9-1.mga10
+ Revision: 2119843
- new version: 0.9

* Fri Mar 18 2022 umeabot <umeabot> 0.7-2.mga9
+ Revision: 1797946
- Mageia 9 Mass Rebuild

* Fri Apr 02 2021 wally <wally> 0.7-1.mga9
+ Revision: 1712818
- new version 0.7
- rebuild for lua 5.4

* Wed Jun 24 2020 zezinho <zezinho> 0.6-1.mga8
+ Revision: 1599066
- new version 0.6

* Fri Feb 14 2020 umeabot <umeabot> 0.5-2.mga8
+ Revision: 1521862
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 03 2019 daviddavid <daviddavid> 0.5-1.mga7
+ Revision: 1348821
- new version: 0.5
- reenable debug package as it should

* Sun Sep 23 2018 umeabot <umeabot> 0.4-3.mga7
+ Revision: 1301626
- Mageia 7 Mass Rebuild

* Tue Nov 28 2017 diogoleal <diogoleal> 0.4-2.mga7
+ Revision: 1180125
- fix indentation
- fix Build Requires
- added source file to vis
- added sha1.lst file to vis
- added spec file to vis
- Created package structure for vis.

